PATCH
v1.0.0stable

Update source settings

Update source settings. Manage only sources owned by this token on the current tenant.

PATCH/api/appstore/manage/sources/:source_id
Auth:Bearer Token
Limite:30/minute

Richiesta parametri

Tutti i parametri possono essere passati tramite Query o Body

ParametroTipoObbligoDescrizione
source_id
stringObbligo
Source ID owned by this user on the current site
Esempio: 12345678
name
stringFacoltativo
Source name, up to 100 characters
Esempio: 我的软件源
message
stringFacoltativo
Source announcement
Esempio: 欢迎使用
identifier
stringFacoltativo
Source identifier, up to 100 characters
source_icon
stringFacoltativo
HTTP(S) URL of the source icon
pay_url
stringFacoltativo
HTTP(S) URL of the payment page
encrypt_enabled
integerFacoltativo
Response encryption: 0=off, 1=on (default on when created)
Esempio: 1
open_black
integerFacoltativo
Auto-block devices used to add apps: 0/1
Esempio: 0
open_black2
integerFacoltativo
Auto-block cracking attempts: 0/1
Esempio: 0
health_alert
objectFacoltativo
Complete link-health alert configuration as a JSON object

Risposta

ParametroTipoObbligoDescrizione
code
integerObbligo
1 indicates success; otherwise a token, validation or source error code
Esempio: 1
msg
stringObbligo
Localized result message
Esempio: 获取成功
time
integerObbligo
Unix timestamp in seconds
data
objectObbligo
Allowlisted fields visible to the source owner
Esempio di risposta
{
"code":1,
"msg":"Operation successful",
"time":1780000000,
"data":
{
"source_id":"12345678",
"name":"我的软件源",
"source_url":"/api/rjy/12345678/appstore",
"message":"欢迎使用",
"encrypt_enabled":1,
"app_count":0
}
}

Codici di errore

Codici di errore4 definito
10
Invalid token
Token is invalid or rotated; HTTP 401
11
Token expired
Token has expired; HTTP 401
40001
Source not found
Source is missing or not owned by this user/tenant; HTTP 404

Lingua di risposta

Personalizza il linguaggio di risposta API con l'intestazione X-Lang. Gli esempi di codice qui sotto utilizzano automaticamente la lingua del tuo sito corrente.

Intestazione consigliata
X-Lang: it
Lingue supportate
zh, en, zh-TW, vi, ar, es, ru

Accetta-Language è anche supportato; X-Lang prende la priorità.

Esempi di codice

curl -X PATCH "https://testypro.iwai.cc,https://cer.xyul.cn,https://cer.iwai.cc/api/appstore/manage/sources/12345678" \
  -H "X-Lang: it" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "我的软件源",
    "message": "欢迎使用",
    "identifier": "example_identifier",
    "source_icon": "example_source_icon",
    "pay_url": "example_pay_url",
    "encrypt_enabled": 1,
    "open_black": 0,
    "open_black2": 0,
    "health_alert": "example_health_alert"
  }'

Note

  • 必须使用 HTTPS 传输。接口不接受 uid、tenant_id、is_official、到期时间等管理员字段。
  • 响应不包含拥有者身份、内部草稿或敏感密钥;创建源和应用受订阅、试用及数量限制。
  • 只修改传入的字段;health_alert 作为完整对象整体替换。

Provalo in Console

Compila i parametri qui sotto e invia una richiesta al test. Le richieste vanno solo all'API di questo sito; l'URL è bloccato e non può essere modificato e il cookie di login corrente è incluso.

PATCHhttps://testypro.iwai.cc/api/appstore/manage/sources/12345678Bloccato a questo sito
stringObbligo

Source ID owned by this user on the current site

string

Source name, up to 100 characters

string

Source announcement

string

Source identifier, up to 100 characters

string

HTTP(S) URL of the source icon

string

HTTP(S) URL of the payment page

integer

Response encryption: 0=off, 1=on (default on when created)

integer

Auto-block devices used to add apps: 0/1

integer

Auto-block cracking attempts: 0/1

object

Complete link-health alert configuration as a JSON object